[gelöst] Mageia 6: cdemu kann nicht installiert werden

Dieses Forum ist für die erweiterte Hilfe und Unterstützung vorgesehen:

Bitte stelle hier Deine Fragen zur fortgeschrittenen Benutzung von Mageia. Beispielsweise geht es hier um Fragen zum Netzwerk, automatischen Installationen, komplexer Serverkonfiguration, Kerneltuning, Aufsetzen eines Mageia-Mirrors, kurz gesagt: alle Aufgaben, die auch für erfahrene Benutzer eine Herausforderung sind.

[gelöst] Mageia 6: cdemu kann nicht installiert werden

Beitragvon linuxfreund » Mai 10th, '19, 17:07

Hallo allerseits,
von einer kopiergeschützten Audio-CD gibt es eine iso-Datei auf der Festplatte. Das mag VLC aber nicht als Medium akzeptieren. Soweit ich ermitteln konnte, kann cdemu dieses Dilemma auflösen.
Doch der Bau des Kernel-Moduls scheiterte.
Inhalt der Datei make.log aus /var/lib/dkms/vhba/20161009-1.mga6/build/:
Code: Alles auswählen
DKMS make.log for vhba-20161009-1.mga6 for kernel 4.14.106-desktop-1.mga6 (x86_64)
Fr 10. Mai 17:11:14 CEST 2019
make -C /lib/modules/4.14.106-desktop-1.mga6/build M=/var/lib/dkms/vhba/20161009-1.mga6/build modules
make[1]: Verzeichnis „/usr/src/kernel-4.14.106-desktop-1.mga6“ wird betreten
  CC [M]  /var/lib/dkms/vhba/20161009-1.mga6/build/vhba.o
/var/lib/dkms/vhba/20161009-1.mga6/build/vhba.c: In Funktion »wait_command«:
/var/lib/dkms/vhba/20161009-1.mga6/build/vhba.c:711:13: Fehler: Implizite Deklaration der Funktion »signal_pending« [-Werror=implicit-function-declaration]
         if (signal_pending(current)) {
             ^
cc1: Einige Warnungen werden als Fehler behandelt
scripts/Makefile.build:332: die Regel für Ziel „/var/lib/dkms/vhba/20161009-1.mga6/build/vhba.o“ scheiterte
make[2]: *** [/var/lib/dkms/vhba/20161009-1.mga6/build/vhba.o] Fehler 1
Makefile:1528: die Regel für Ziel „_module_/var/lib/dkms/vhba/20161009-1.mga6/build“ scheiterte
make[1]: *** [_module_/var/lib/dkms/vhba/20161009-1.mga6/build] Fehler 2
make[1]: Verzeichnis „/usr/src/kernel-4.14.106-desktop-1.mga6“ wird verlassen
Makefile:14: die Regel für Ziel „modules“ scheiterte
make: *** [modules] Fehler 2

Die gleiche Installation in Mageia 5 läuft fehlerfrei durch.
Was nun?
Zuletzt geändert von linuxfreund am Mai 17th, '19, 16:42, insgesamt 1-mal geändert.
linuxfreund
 
Beiträge: 139
Registriert: Mär 3rd, '12, 11:41

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon man-draker » Mai 10th, '19, 17:24

Geschieht der Kompilierversuch im Zuge der Installation des MGA-Paketes?
Code: Alles auswählen
[man-draker@master ~]$ urpmq -y cdemu
cdemu-client
cdemu-daemon
gcdemu
kde-cdemu
[man-draker@master ~]$
„Dummheit ist ein nachwachsender Rohstoff“
Kabarettistin Barbara Ruscher

(Zitiert aus: HAZ vom 30.09.2018)
Benutzeravatar
man-draker
 
Beiträge: 4545
Registriert: Jun 1st, '11, 12:56

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon doktor5000 » Mai 10th, '19, 17:26

linuxfreund hat geschrieben:Das mag VLC aber nicht als Medium akzeptieren.

Mit welcher Fehlermeldung ?

linuxfreund hat geschrieben:Soweit ich ermitteln konnte, kann cdemu dieses Dilemma auflösen.

Du kannst iso-Images einfach mounten, warum also so kompliziert ?

Das Problem mit dkms-vhba (@man-draker: eine Abhängigkeit von cdemu-daemon) wurde übrigens bereits gemeldet: https://bugs.mageia.org/show_bug.cgi?id=22678
Ich bin nicht böse, sondern nur ehrlich. Und wer lesen kann, ist klar im Vorteil.
----
Mageia - the magic continues
Benutzeravatar
doktor5000
 
Beiträge: 5099
Registriert: Jun 2nd, '11, 09:39

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon linuxfreund » Mai 10th, '19, 18:46

doktor5000 hat geschrieben:Du kannst iso-Images einfach mounten, warum also so kompliziert ?

Weil es eine kopiergeschützte Audio-CD ist.
Code: Alles auswählen
[root@pc linuxfreund]# mount -t iso9660 -o ro,loop /iso/Musik.iso /mnt/cd/
mount: Falscher Dateisystemtyp, ungültige Optionen, der Superblock von /dev/loop0 ist beschädigt, fehlende Kodierungsseite oder ein anderer Fehler

Die iso-Datei erstellte ich natürlich mit dd. Die originale CD im Laufwerk spielt VLC ab. Ein mount-Befehl wird nicht benötigt.
doktor5000 hat geschrieben:Das Problem mit dkms-vhba (@man-draker: eine Abhängigkeit von cdemu-daemon) wurde übrigens bereits gemeldet: https://bugs.mageia.org/show_bug.cgi?id=22678

Vielen Dank für den Link. Offensichtlich muss auf Mageia 7 gewartet werden, oder? Bis dahin hat der alte PC mit Mageia 5 jetzt eine neue Aufgabe.
linuxfreund
 
Beiträge: 139
Registriert: Mär 3rd, '12, 11:41

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon alf » Mai 11th, '19, 09:40

linuxfreund hat geschrieben:Offensichtlich muss auf Mageia 7 gewartet werden, oder?

Da sieht es im Augenblick auch nicht besser aus:
make.log
(10.76 KiB) 11-mal heruntergeladen
Das Gehirn ist nicht wie Seife, es wird nicht weniger wenn es benutzt wird. -- Lisa Fitz
Benutzeravatar
alf
 
Beiträge: 2148
Registriert: Jun 1st, '11, 13:39
Wohnort: Paderborn

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon linuxfreund » Mai 11th, '19, 20:01

alf hat geschrieben:Da sieht es im Augenblick auch nicht besser aus:
make.log

Was wurde denn da verschlimmbessert? Vor vierzehn Monaten klang es noch optimistischer:
Code: Alles auswählen
 katnatek 2018-03-08 22:37:58 CET

Test with the kde-cdemu and cdemu-daemon backported from cauldron, works fine

SRPMS used
 libmirage-3.1.0-1.mga7.src.rpm
 cdemu-client-3.1.0-1.mga7.src.rpm
 cdemu-daemon-3.1.0-1.mga7.src.rpm
 gcdemu-3.1.0-1.mga7.src.rpm
 kde-cdemu-0.7.3-1.mga7.src.rpm
 dkms-vhba-20170610-1.mga7.src.rpm

Diese Meldung stammt natürlich von https://bugs.mageia.org/show_bug.cgi?id=22678 Kannst du deine Erkenntnisse dort berichten?
linuxfreund
 
Beiträge: 139
Registriert: Mär 3rd, '12, 11:41

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon doktor5000 » Mai 12th, '19, 12:18

linuxfreund hat geschrieben:Was wurde denn da verschlimmbessert?

Da wurde nichts verschlimmbessert, das Kernelmodul wurde vermutlich seitdem nicht nochmal aktualisiert, aber es gab Kernel 5.0 - das wird also nich mehr funktionieren.
Ich bin nicht böse, sondern nur ehrlich. Und wer lesen kann, ist klar im Vorteil.
----
Mageia - the magic continues
Benutzeravatar
doktor5000
 
Beiträge: 5099
Registriert: Jun 2nd, '11, 09:39

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon alf » Mai 15th, '19, 09:06

Vhba wurde in Mageia 7 auf Version 20190410-1.mga7 aktualisiert, damit klappt's dann auch wieder :D
https://bugs.mageia.org/show_bug.cgi?id=22678
Das Gehirn ist nicht wie Seife, es wird nicht weniger wenn es benutzt wird. -- Lisa Fitz
Benutzeravatar
alf
 
Beiträge: 2148
Registriert: Jun 1st, '11, 13:39
Wohnort: Paderborn

Re: Mageia 6: cdemu kann nicht installiert werden

Beitragvon alf » Mai 16th, '19, 17:17

@linuxfreund
vhba wurde heute in Mgeia6 auf Version 20170610 aktualisiert, Liegt noch in /core/updates-testing, könntest du das testen(ich habe im Augenblick keine MGA6-Installation) und das Ergebnis im BR berichten?
https://bugs.mageia.org/show_bug.cgi?id=22678
Das Gehirn ist nicht wie Seife, es wird nicht weniger wenn es benutzt wird. -- Lisa Fitz
Benutzeravatar
alf
 
Beiträge: 2148
Registriert: Jun 1st, '11, 13:39
Wohnort: Paderborn

Re: [gelöst] Mageia 6: cdemu kann nicht installiert werden

Beitragvon linuxfreund » Mai 17th, '19, 16:47

Das aktualisierte Paket dkms-vhba-20170610 läuft fehlerfrei durch. Damit lässt sich cdemu installieren. Nur das Abbild der Audio-CD lässt sich immer noch nicht abspielen. Wie ich inzwischen lesen konnte, ist dd nicht das geeignete Werkzeug, so ein Abbild einer Audio-CD anzulegen. Das jedoch ist ein anderes Thema.
linuxfreund
 
Beiträge: 139
Registriert: Mär 3rd, '12, 11:41


Zurück zu Erweiterter Support

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast